Skip to main content
`Ctrl`+`K`

# SNESMSSetType

Set the type of multistage smoother `SNESMS`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESMSSetType(SNES snes, SNESMSType mstype)

Logically Collective

## Input Parameters

- snes - nonlinear solver context

- mstype - type of multistage method

## See Also

SNES: Nonlinear Solvers, `SNESMS`, `SNESMSGetType()`, `SNESMSType`

## Level

advanced

## Location

src/snes/impls/ms/ms.c

## Implementations

SNESMSSetType_MS() in src/snes/impls/ms/ms.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages